FileMaker Files
Rename FM Files
Request Body
application/json
POST /otto/api/fm-file/rename Request body
copy?boolean
copyContainerData?boolean
If copy is true, copies the RC_Data_FMS container folder to the target (defaults to not copying). If copy is false (rename/move), the container folder is moved with the file unless this is explicitly false.
encryptionKey?string
fileName*string
newFileName*string
targetFolder?string
If copy is true, this will copy the file to the target folder. If copy is false, this will move the file to the target folder.
Value in
"default" | "secure" | "additionalFolder1" | "additionalFolder2"targetSubfolder?string
If copy is true, this will copy the file to the target subfolder. If copy is false, this will move the file to the target subfolder
Response Body
application/json
application/json
curl -X POST "https://your.server.net/otto/api/fm-file/rename" \ -H "Content-Type: application/json" \ -d '{ "fileName": "string", "newFileName": "string" }'{
"messages": [
{
"code": 0,
"text": "ok"
}
],
"response": {}
}{
"messages": [
{
"code": 18011,
"text": "OttoFMS sample error"
}
],
"response": {}
}Was this page helpful?